-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 18.1.0 Build 625 09/12/2018 SJ Lite Edition"

-- DATE "10/20/2019 16:31:26"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	part3 IS
    PORT (
	SW : IN std_logic_vector(9 DOWNTO 0);
	LEDR : OUT std_logic_vector(9 DOWNTO 0)
	);
END part3;

-- Design Ports Information
-- SW[2]	=>  Location: PIN_AF9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[3]	=>  Location: PIN_AF10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[4]	=>  Location: PIN_AD11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[5]	=>  Location: PIN_AD12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[6]	=>  Location: PIN_AE11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[7]	=>  Location: PIN_AC9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[8]	=>  Location: PIN_AD10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[9]	=>  Location: PIN_AE12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[0]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[1]	=>  Location: PIN_W16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[2]	=>  Location: PIN_V17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[3]	=>  Location: PIN_V18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[4]	=>  Location: PIN_W17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[5]	=>  Location: PIN_W19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[6]	=>  Location: PIN_Y19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[7]	=>  Location: PIN_W20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[8]	=>  Location: PIN_W21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[9]	=>  Location: PIN_Y21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[1]	=>  Location: PIN_AC12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_AB12,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF part3 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_SW : std_logic_vector(9 DOWNTO 0);
SIGNAL ww_LEDR : std_logic_vector(9 DOWNTO 0);
SIGNAL \SW[2]~input_o\ : std_logic;
SIGNAL \SW[3]~input_o\ : std_logic;
SIGNAL \SW[4]~input_o\ : std_logic;
SIGNAL \SW[5]~input_o\ : std_logic;
SIGNAL \SW[6]~input_o\ : std_logic;
SIGNAL \SW[7]~input_o\ : std_logic;
SIGNAL \SW[8]~input_o\ : std_logic;
SIGNAL \SW[9]~input_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \SW[1]~input_o\ : std_logic;
SIGNAL \SW[0]~input_o\ : std_logic;
SIGNAL \Dinst|Dinst1|S~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|S_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|R~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|R_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|Qb~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|Qa~combout\ : std_logic;
SIGNAL \Dinst|Qm~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|S~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|S_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|R~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|R_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|Qb~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|Qa~combout\ : std_logic;
SIGNAL \Dinst|Qs~combout\ : std_logic;
SIGNAL \ALT_INV_SW[0]~input_o\ : std_logic;
SIGNAL \ALT_INV_SW[1]~input_o\ : std_logic;
SIGNAL \Dinst|Dinst1|ALT_INV_R~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|ALT_INV_S~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|ALT_INV_R~combout\ : std_logic;
SIGNAL \Dinst|ALT_INV_Qm~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|ALT_INV_S~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|ALT_INV_R_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|ALT_INV_Qb~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|ALT_INV_S_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst1|ALT_INV_Qa~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|ALT_INV_R_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|ALT_INV_Qb~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|ALT_INV_S_g~combout\ : std_logic;
SIGNAL \Dinst|Dinst2|ALT_INV_Qa~combout\ : std_logic;

BEGIN

ww_SW <= SW;
LEDR <= ww_LEDR;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_SW[0]~input_o\ <= NOT \SW[0]~input_o\;
\ALT_INV_SW[1]~input_o\ <= NOT \SW[1]~input_o\;
\Dinst|Dinst1|ALT_INV_R~combout\ <= NOT \Dinst|Dinst1|R~combout\;
\Dinst|Dinst1|ALT_INV_S~combout\ <= NOT \Dinst|Dinst1|S~combout\;
\Dinst|Dinst2|ALT_INV_R~combout\ <= NOT \Dinst|Dinst2|R~combout\;
\Dinst|ALT_INV_Qm~combout\ <= NOT \Dinst|Qm~combout\;
\Dinst|Dinst2|ALT_INV_S~combout\ <= NOT \Dinst|Dinst2|S~combout\;
\Dinst|Dinst1|ALT_INV_R_g~combout\ <= NOT \Dinst|Dinst1|R_g~combout\;
\Dinst|Dinst1|ALT_INV_Qb~combout\ <= NOT \Dinst|Dinst1|Qb~combout\;
\Dinst|Dinst1|ALT_INV_S_g~combout\ <= NOT \Dinst|Dinst1|S_g~combout\;
\Dinst|Dinst1|ALT_INV_Qa~combout\ <= NOT \Dinst|Dinst1|Qa~combout\;
\Dinst|Dinst2|ALT_INV_R_g~combout\ <= NOT \Dinst|Dinst2|R_g~combout\;
\Dinst|Dinst2|ALT_INV_Qb~combout\ <= NOT \Dinst|Dinst2|Qb~combout\;
\Dinst|Dinst2|ALT_INV_S_g~combout\ <= NOT \Dinst|Dinst2|S_g~combout\;
\Dinst|Dinst2|ALT_INV_Qa~combout\ <= NOT \Dinst|Dinst2|Qa~combout\;

-- Location: IOOBUF_X52_Y0_N2
\LEDR[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Dinst|Qs~combout\,
	devoe => ww_devoe,
	o => ww_LEDR(0));

-- Location: IOOBUF_X52_Y0_N19
\LEDR[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(1));

-- Location: IOOBUF_X60_Y0_N2
\LEDR[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(2));

-- Location: IOOBUF_X80_Y0_N2
\LEDR[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(3));

-- Location: IOOBUF_X60_Y0_N19
\LEDR[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(4));

-- Location: IOOBUF_X80_Y0_N19
\LEDR[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(5));

-- Location: IOOBUF_X84_Y0_N2
\LEDR[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(6));

-- Location: IOOBUF_X89_Y6_N5
\LEDR[7]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(7));

-- Location: IOOBUF_X89_Y8_N5
\LEDR[8]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(8));

-- Location: IOOBUF_X89_Y6_N22
\LEDR[9]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(9));

-- Location: IOIBUF_X16_Y0_N1
\SW[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(1),
	o => \SW[1]~input_o\);

-- Location: IOIBUF_X12_Y0_N18
\SW[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(0),
	o => \SW[0]~input_o\);

-- Location: LABCELL_X17_Y1_N36
\Dinst|Dinst1|S\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst1|S~combout\ = LCELL(\SW[0]~input_o\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011001100110011001100110011001100110011001100110011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[0]~input_o\,
	combout => \Dinst|Dinst1|S~combout\);

-- Location: LABCELL_X17_Y1_N51
\Dinst|Dinst1|S_g\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst1|S_g~combout\ = LCELL(( \SW[1]~input_o\ ) # ( !\SW[1]~input_o\ & ( !\Dinst|Dinst1|S~combout\ ) ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1010101010101010111111111111111110101010101010101111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Dinst|Dinst1|ALT_INV_S~combout\,
	datae => \ALT_INV_SW[1]~input_o\,
	combout => \Dinst|Dinst1|S_g~combout\);

-- Location: LABCELL_X17_Y1_N39
\Dinst|Dinst1|R\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst1|R~combout\ = LCELL(!\SW[0]~input_o\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1100110011001100110011001100110011001100110011001100110011001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[0]~input_o\,
	combout => \Dinst|Dinst1|R~combout\);

-- Location: LABCELL_X17_Y1_N54
\Dinst|Dinst1|R_g\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst1|R_g~combout\ = LCELL(( \Dinst|Dinst1|R~combout\ & ( \SW[1]~input_o\ ) ) # ( !\Dinst|Dinst1|R~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111100110011001100110011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[1]~input_o\,
	dataf => \Dinst|Dinst1|ALT_INV_R~combout\,
	combout => \Dinst|Dinst1|R_g~combout\);

-- Location: LABCELL_X17_Y1_N57
\Dinst|Dinst1|Qb\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst1|Qb~combout\ = LCELL(( \Dinst|Dinst1|Qa~combout\ & ( !\Dinst|Dinst1|R_g~combout\ ) ) # ( !\Dinst|Dinst1|Qa~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111110101010101010101010101010101010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Dinst|Dinst1|ALT_INV_R_g~combout\,
	dataf => \Dinst|Dinst1|ALT_INV_Qa~combout\,
	combout => \Dinst|Dinst1|Qb~combout\);

-- Location: LABCELL_X17_Y1_N12
\Dinst|Dinst1|Qa\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst1|Qa~combout\ = LCELL(( \Dinst|Dinst1|Qb~combout\ & ( !\Dinst|Dinst1|S_g~combout\ ) ) # ( !\Dinst|Dinst1|Qb~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111111110000111100001111000011110000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \Dinst|Dinst1|ALT_INV_S_g~combout\,
	dataf => \Dinst|Dinst1|ALT_INV_Qb~combout\,
	combout => \Dinst|Dinst1|Qa~combout\);

-- Location: LABCELL_X17_Y1_N15
\Dinst|Qm\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Qm~combout\ = LCELL(( \Dinst|Dinst1|Qa~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \Dinst|Dinst1|ALT_INV_Qa~combout\,
	combout => \Dinst|Qm~combout\);

-- Location: LABCELL_X17_Y1_N3
\Dinst|Dinst2|S\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst2|S~combout\ = LCELL(\Dinst|Qm~combout\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011001100110011001100110011001100110011001100110011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Dinst|ALT_INV_Qm~combout\,
	combout => \Dinst|Dinst2|S~combout\);

-- Location: LABCELL_X17_Y1_N9
\Dinst|Dinst2|S_g\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst2|S_g~combout\ = LCELL((!\SW[1]~input_o\) # (!\Dinst|Dinst2|S~combout\))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111001100111111111100110011111111110011001111111111001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[1]~input_o\,
	datad => \Dinst|Dinst2|ALT_INV_S~combout\,
	combout => \Dinst|Dinst2|S_g~combout\);

-- Location: LABCELL_X17_Y1_N0
\Dinst|Dinst2|R\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst2|R~combout\ = LCELL(!\Dinst|Qm~combout\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1100110011001100110011001100110011001100110011001100110011001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Dinst|ALT_INV_Qm~combout\,
	combout => \Dinst|Dinst2|R~combout\);

-- Location: LABCELL_X17_Y1_N6
\Dinst|Dinst2|R_g\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst2|R_g~combout\ = LCELL((!\SW[1]~input_o\) # (!\Dinst|Dinst2|R~combout\))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111110011111100111111001111110011111100111111001111110011111100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[1]~input_o\,
	datac => \Dinst|Dinst2|ALT_INV_R~combout\,
	combout => \Dinst|Dinst2|R_g~combout\);

-- Location: LABCELL_X17_Y1_N33
\Dinst|Dinst2|Qb\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst2|Qb~combout\ = LCELL(( \Dinst|Dinst2|Qa~combout\ & ( !\Dinst|Dinst2|R_g~combout\ ) ) # ( !\Dinst|Dinst2|Qa~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111110101010101010101010101010101010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Dinst|Dinst2|ALT_INV_R_g~combout\,
	dataf => \Dinst|Dinst2|ALT_INV_Qa~combout\,
	combout => \Dinst|Dinst2|Qb~combout\);

-- Location: LABCELL_X17_Y1_N30
\Dinst|Dinst2|Qa\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Dinst2|Qa~combout\ = LCELL(( \Dinst|Dinst2|Qb~combout\ & ( !\Dinst|Dinst2|S_g~combout\ ) ) # ( !\Dinst|Dinst2|Qb~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111111001100110011001100110011001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \Dinst|Dinst2|ALT_INV_S_g~combout\,
	dataf => \Dinst|Dinst2|ALT_INV_Qb~combout\,
	combout => \Dinst|Dinst2|Qa~combout\);

-- Location: LABCELL_X18_Y1_N30
\Dinst|Qs\ : cyclonev_lcell_comb
-- Equation(s):
-- \Dinst|Qs~combout\ = LCELL(( \Dinst|Dinst2|Qa~combout\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \Dinst|Dinst2|ALT_INV_Qa~combout\,
	combout => \Dinst|Qs~combout\);

-- Location: IOIBUF_X8_Y0_N35
\SW[2]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(2),
	o => \SW[2]~input_o\);

-- Location: IOIBUF_X4_Y0_N52
\SW[3]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(3),
	o => \SW[3]~input_o\);

-- Location: IOIBUF_X2_Y0_N41
\SW[4]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(4),
	o => \SW[4]~input_o\);

-- Location: IOIBUF_X16_Y0_N18
\SW[5]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(5),
	o => \SW[5]~input_o\);

-- Location: IOIBUF_X4_Y0_N35
\SW[6]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(6),
	o => \SW[6]~input_o\);

-- Location: IOIBUF_X4_Y0_N1
\SW[7]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(7),
	o => \SW[7]~input_o\);

-- Location: IOIBUF_X4_Y0_N18
\SW[8]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(8),
	o => \SW[8]~input_o\);

-- Location: IOIBUF_X2_Y0_N58
\SW[9]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(9),
	o => \SW[9]~input_o\);

-- Location: LABCELL_X29_Y78_N0
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


