library ieee;
use ieee.std_logic_1164.all;


entity testbench is
end testbench;

architecture tb of testbench is
	constant T_clk : time := 20 ns;
	signal clk_tb, d_tb : std_logic;  -- inputs 
	signal q_tb : std_logic;  -- outputs
begin
	-- connecting testbench signals
	UUT : entity work.part2a port map ( Clk => clk_tb, D => d_tb,  Q => q_tb );

	-- continuous clock
	
	process
	begin
	clk_tb <= '1';
	wait for T_clk/2;
	clk_tb <= '0';
	wait for T_clk/2;
	end process;

	-- signals
	process
	begin
	d_tb <= '0'; 
	wait for 30 ns;
	d_tb <= '1';
	wait for 20 ns;
	d_tb <= '0';
	wait for 20 ns;
	d_tb <= '1';
	wait for 20 ns;
	d_tb <= '0';
	wait for 60 ns;
	end process;
end tb ;